Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

All other Modules /

Discuss all other Modules here.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

cmis and postgresql


Reply


4 Posts   548 Views

Avatar
minimike

Community Member, 4 Posts

11 April 2012 at 2:59pm

hi there

I'm thinking about to give silverstripe cms a try. On version 3 and later the modules for PostgreSQL and CMIS would be maintained? I hope it is not to hart to say that I dont want to choose a lame duck after the modules are later not more available anymore.

and what could the CMIS module do? Could I display pictures, videos public from Nuxeo DMS on my website? Could I upload files and store them inside my ECM? Could I store and display any content from my ECM?

cheers Darko

Avatar
Willr

Forum Moderator, 5513 Posts

11 April 2012 at 6:56pm

Postgres support is actively being kept up to date with 3.0 so will have full support in the stable release. By CMIS I assume you mean the CMS module and not sure what Nuxeo is so can't answer your question on that.

Avatar
minimike

Community Member, 4 Posts

12 April 2012 at 2:52am

Edited: 12/04/2012 2:55am

With CMIS I mean Content Management Interoperability Services :)

http://en.wikipedia.org/wiki/Content_Management_Interoperability_Services

If you have got an Enterprise Contentmanagment System like Documentum, Alfresco or in my case Nuxeo you could connect to it over SOAP or CMIS.
Siverstripe has got an Module what has such an functionality. An ECM is more than an Fileserver. It could handle all your informations about your organisation and gives your functionalities like Microsoft Sharepoint. For me it would be the worst if the Module later would not be maintained because I would lost for me important funcions.

cheers Darko

Avatar
Willr

Forum Moderator, 5513 Posts

12 April 2012 at 6:53pm

Alfresco is maintained by the SilverStripe Australia crew so I'm sure they will support it for 3.0 if demand is there for it so if you want to see it, get in touch with them. Though 3.0 is still a way away yet.